<?php
# МОД Сыворотка правды
# KAZAMA
# 383991000
error_reporting(0);
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Сыворотка';
include_once '../sys/inc/thead.php';
title();
aut();


if (!isset($user) && !isset($_GET['id'])){header("Location: index.php?".SID);exit;}
if (isset($user))$ank['id']=$user['id'];
if (isset($_GET['id']))$ank['id']=intval($_GET['id']);
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id`='".$ank['id']."'"));
$q_ank=mysql_fetch_array(mysql_query("SELECT * FROM `sivor_user` WHERE `id_user`='".$ank['id']."'"));
$q_name=mysql_fetch_array(mysql_query("SELECT * FROM `sivor` ORDER BY RAND() "));

if (!isset($user)){
echo "Чтобы зайти в этот раздел надо зарегистрироваться!";
include_once '../sys/inc/tfoot.php';
}
if ($ank['id']==$user['id']){
echo '<div class="err">Про себя отвечать нельзя</div>';
include_once '../sys/inc/tfoot.php';
}
if ($ank['sivor_zapret']!=0){
echo '<div class="err">Пользователь запретил отвечать про него!</div>';
include_once '../sys/inc/tfoot.php';
}


if (isset($_GET['golos'])&&$_GET['sivor'])
{
$q_sivor=mysql_fetch_array(mysql_query("SELECT * FROM `sivor` WHERE `id`='".mysql_escape_string($_GET['sivor'])."'"));
mysql_query("UPDATE `user` SET `sivor_top` = '".($ank['sivor_top']+1)."' WHERE `id` = '".$ank['id']."' LIMIT 1");
mysql_query("INSERT INTO `sivor_user`(`id_user`, `id_ank`, `golos`, `name`) VALUES('".$user['id']."', '".$ank['id']."', '".mysql_escape_string($_GET['golos'])."', '".$q_sivor['name']."')");
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$ank[id]."', 'Про вас ответили в игре [url=/sivor/spisok.php]Сыворотка правды[/url]', '$time')");
header("Location: vopros_user.php?id=$ank[id]");
}



err();
echo "<center>";
$count= mysql_result(mysql_query("SELECT COUNT(*) FROM `sivor_user` WHERE `id_ank` = $user[id]",$db), 0);
echo '<a href="spisok.php">Ответы про меня ('.$count.')</a><br/>';



	avatar($ank['id']);
	echo '<br/><img src="/style/themes/'.$set['set_them'].'/user/'.$ank['pol'].'.png" alt="" />';
	echo '<a href="/info.php?id='.$ank['id'].'">'.$ank['nick'].'</a>'.online($ank['id'])."\n";
echo "<br />$q_name[name]<br />";
echo ' <a href="?id='.$ank['id'].'&golos=1&sivor='.$q_name['id'].'"><img src="img/b_yes.gif" alt=""></a>  <a href="?id='.$ank['id'].'&golos=2&sivor='.$q_name['id'].'"><img src="img/b_no.gif" alt=""></a><br/><a href="vopros_user.php?id='.$ank['id'].'&">Пропустить</a></center></td>';


echo "</center>";
include_once '../sys/inc/tfoot.php';
?>